Bug 1107983 (CVE-2014-3488) - CVE-2014-3488 Netty: DoS by CPU exhaustion when using malicious SSL packets
Summary: CVE-2014-3488 Netty: DoS by CPU exhaustion when using malicious SSL packets
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-3488
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-11 08:41 UTC by Arun Babu Neelicattu
Modified: 2021-02-17 06:29 UTC (History)
4 users (show)

Fixed In Version: Netty 3.9.2.Final
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 08:53:22 UTC


Attachments (Terms of Use)

Description Arun Babu Neelicattu 2014-06-11 08:41:35 UTC
It was discovered that when handling specifically crafted SSL packets, the SslHandler implementation in Netty entered an infinite loop. An unauthenticated remote attacker could use this flaw to trigger a denial of service by CPU exhaustion.

Affects: 3.9.0, 3.9.1

Comment 1 Arun Babu Neelicattu 2014-06-11 08:46:29 UTC
Statement:

Netty versions as shipped by Red Hat products are not affected by this flaw.

Comment 4 Norman Maurer 2014-06-11 09:41:11 UTC
Here is the issue and the fix:
https://github.com/netty/netty/issues/2562

Comment 5 Norman Maurer 2014-06-11 10:14:50 UTC
Netty 3.9.2.Final was released with the fix included.

See http://netty.io/news/2014/06/11/3.html

Comment 6 Arun Babu Neelicattu 2014-06-13 08:40:40 UTC
Acknowledgement:

Red Hat would like to thank Laurentiu Luca for reporting this issue.


Note You need to log in before you can comment on or make changes to this bug.